function facebookShareWeather() {
	FB.ui( {
			method: 	'feed',
			link: 		'http://drupal9.kate6.org/kate_demo/' + drupalSettings.kate_facebook_data.location.zip + '/show_weather',
		}, function( response ) { }
	);
}

window.fbAsyncInit = function() {
         FB.init({
           appId      : drupalSettings.kate_demo_facebook_app_id,
           xfbml      : true,
           version    : 'v2.7'
         });
       };

       (function(d, s, id){
          var js, fjs = d.getElementsByTagName(s)[0];
          if (d.getElementById(id)) {return;}
          js = d.createElement(s); js.id = id;
          js.src = "//connect.facebook.net/en_US/sdk.js";
          fjs.parentNode.insertBefore(js, fjs);

		   document.getElementById( 'facebook-share-link' ).onclick = facebookShareWeather;

	   }(document, 'script', 'facebook-jssdk'));